import axios from 'axios'
import { removeCookie, getCookie } from 'typescript-cookie'

export const api = axios.create({
    baseURL: 'https://tender.prof-press.ru/api/v1/',
    headers: {
        accept: 'application/json',
        'Content-Type': 'application/json',
    },
})

api.interceptors.request.use(config => {
    config.headers.authorization = getCookie('authToken') ? `Bearer ${getCookie('authToken')}` : ''
    return config
})

api.interceptors.response.use(undefined, async function (error) {
    if (error?.response?.status === 401) {
        removeCookie('authToken')
        removeCookie('refreshToken')
        window.location.replace("/auth")
    }
    return Promise.reject(error)
})
